Skip to main content
POST
/
admin
/
connections
/
aws-role-validate
Validate AWS role access
curl --request POST \
  --url https://{organization_id}.platform.barndoor.ai/api/llm-gateway/admin/connections/aws-role-validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "region": "us-east-1",
  "iam_role_arn": "arn:aws:iam::222222222222:role/customer-bedrock",
  "external_id": "bd-ext-9f3c1"
}
'
{
  "ok": true
}

Authorizations

Authorization
string
header
required

JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.

Body

application/json
region
string
required
Example:

"us-east-1"

iam_role_arn
string
required
Example:

"arn:aws:iam::222222222222:role/customer-bedrock"

external_id
string
required
Example:

"bd-ext-9f3c1"

Response

Validation result

ok
boolean
Example:

true